<?php

namespace App\ViewModels\Consulta\ConsultaDetailsViewModel;

use App\Utils\Entity;

class ConsultaDetailsResponseDatabase extends Entity {
	protected $consulta_id;
	protected $consulta_titulo;
	protected $consulta_descricao;
	protected $id_agendamento;
	protected $formulario_titulo;
	protected $formulario_ativo;
	protected $formulario_descricao;
	protected $formulario_id_medico;
	protected $formulario_procedimentos;
	protected $pergunta_id;
	protected $pergunta_ativo;
	protected $pergunta_ordem;
	protected $pergunta_texto_pergunta;
	protected $pergunta_id_tipo_pergunta;
	protected $pergunta_obrigatorio;
	protected $opcao_pergunta_id;
	protected $opcao_pergunta_descricao;
	protected $opcao_pergunta_id_pergunta;
	protected $resposta_pergunta_textual;
	protected $resposta_pergunta_decimal;
	protected $resposta_pergunta_inteira;
	protected $resposta_pergunta_opcao;
	protected $formulario_id;
	protected $usuario_executor_exame;
	protected $usuario_medico_id;

	public static function builder(): ConsultaDetailsResponseDatabaseBuilder {

		return new ConsultaDetailsResponseDatabaseBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getUsuarioMedicoId() {

		return $this->usuario_medico_id;

	}

	/**
	 *
	 * @param mixed $usuario_medico_id
	 */
	public function setUsuarioMedicoId($usuario_medico_id): void {

		$this->usuario_medico_id = $usuario_medico_id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getUsuarioExecutorExame() {

		return $this->usuario_executor_exame;

	}

	/**
	 *
	 * @param mixed $usuario_executor_exame
	 */
	public function setUsuarioExecutorExame($usuario_executor_exame): void {

		$this->usuario_executor_exame = $usuario_executor_exame;

	}

	public function getFormularioAtivo(): int {

		return $this->formulario_ativo;

	}

	public function setFormularioAtivo(int $formulario_ativo): void {

		$this->formulario_ativo = $formulario_ativo;

	}

	public function getFormularioTitulo(): string {

		return $this->formulario_titulo;

	}

	public function getFormularioDescricao(): string {

		return $this->formulario_descricao;

	}

	public function getFormularioIdMedico(): int {

		return $this->formulario_id_medico;

	}

	public function getPerguntaId(): int {

		return $this->pergunta_id;

	}

	public function getPerguntaTextoPergunta(): string {

		return $this->pergunta_texto_pergunta;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getFormularioId() {

		return $this->formulario_id;

	}

	/**
	 *
	 * @param mixed $formulario_id
	 */
	public function setFormularioId($formulario_id): void {

		$this->formulario_id = $formulario_id;

	}

	public function getPerguntaIdTipoPergunta(): int {

		return $this->pergunta_id_tipo_pergunta;

	}

	public function getOpcaoPerguntaId(): ?int {

		return $this->opcao_pergunta_id;

	}

	public function getOpcaoPerguntaDescricao(): ?string {

		return $this->opcao_pergunta_descricao;

	}

	public function getOpcaoPerguntaIdPergunta(): ?int {

		return $this->opcao_pergunta_id_pergunta;

	}

	public function setFormularioTitulo(string $formulario_titulo): void {

		$this->formulario_titulo = $formulario_titulo;

	}

	public function setFormularioDescricao(string $formulario_descricao): void {

		$this->formulario_descricao = $formulario_descricao;

	}

	public function setFormularioIdMedico(int $formulario_id_medico): void {

		$this->formulario_id_medico = $formulario_id_medico;

	}

	public function setPerguntaId(int $pergunta_id): void {

		$this->pergunta_id = $pergunta_id;

	}

	public function setPerguntaTextoPergunta(string $pergunta_texto_pergunta): void {

		$this->pergunta_texto_pergunta = $pergunta_texto_pergunta;

	}

	public function setPerguntaIdTipoPergunta(int $pergunta_id_tipo_pergunta): void {

		$this->pergunta_id_tipo_pergunta = $pergunta_id_tipo_pergunta;

	}

	public function setOpcaoPerguntaId(?int $opcao_pergunta_id): void {

		$this->opcao_pergunta_id = $opcao_pergunta_id;

	}

	public function setOpcaoPerguntaDescricao(?string $opcao_pergunta_descricao): void {

		$this->opcao_pergunta_descricao = $opcao_pergunta_descricao;

	}

	public function setOpcaoPerguntaIdPergunta(?int $opcao_pergunta_id_pergunta): void {

		$this->opcao_pergunta_id_pergunta = $opcao_pergunta_id_pergunta;

	}

	public function getPerguntaObrigatorio() {

		return $this->pergunta_obrigatorio;

	}

	public function setPerguntaObrigatorio($pergunta_obrigatorio): void {

		$this->pergunta_obrigatorio = $pergunta_obrigatorio;

	}

	public function getFormularioProcedimentos() {

		return $this->formulario_procedimentos;

	}

	public function setFormularioProcedimentos($formulario_procedimentos): void {

		$this->formulario_procedimentos = $formulario_procedimentos;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getRespostaPerguntaTextual() {

		return $this->resposta_pergunta_textual;

	}

	/**
	 *
	 * @param mixed $resposta_pergunta_textual
	 */
	public function setRespostaPerguntaTextual($resposta_pergunta_textual): void {

		$this->resposta_pergunta_textual = $resposta_pergunta_textual;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getRespostaPerguntaDecimal() {

		return $this->resposta_pergunta_decimal;

	}

	/**
	 *
	 * @param mixed $resposta_pergunta_decimal
	 */
	public function setRespostaPerguntaDecimal($resposta_pergunta_decimal): void {

		$this->resposta_pergunta_decimal = $resposta_pergunta_decimal;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getRespostaPerguntaInteira() {

		return $this->resposta_pergunta_inteira;

	}

	/**
	 *
	 * @param mixed $resposta_pergunta_inteira
	 */
	public function setRespostaPerguntaInteira($resposta_pergunta_inteira): void {

		$this->resposta_pergunta_inteira = $resposta_pergunta_inteira;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getRespostaPerguntaOpcao() {

		return $this->resposta_pergunta_opcao;

	}

	/**
	 *
	 * @param mixed $resposta_pergunta_opcao
	 */
	public function setRespostaPerguntaOpcao($resposta_pergunta_opcao): void {

		$this->resposta_pergunta_opcao = $resposta_pergunta_opcao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getConsultaTitulo() {

		return $this->consulta_titulo;

	}

	/**
	 *
	 * @param mixed $consulta_titulo
	 */
	public function setConsultaTitulo($consulta_titulo): void {

		$this->consulta_titulo = $consulta_titulo;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getConsultaDescricao() {

		return $this->consulta_descricao;

	}

	/**
	 *
	 * @param mixed $consulta_descricao
	 */
	public function setConsultaDescricao($consulta_descricao): void {

		$this->consulta_descricao = $consulta_descricao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdAgendamento() {

		return $this->id_agendamento;

	}

	/**
	 *
	 * @param mixed $id_agendamento
	 */
	public function setIdAgendamento($id_agendamento): void {

		$this->id_agendamento = $id_agendamento;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getConsultaId() {

		return $this->consulta_id;

	}

	/**
	 *
	 * @param mixed $consulta_id
	 */
	public function setConsultaId($consulta_id): void {

		$this->consulta_id = $consulta_id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getPergunta_ativo() {

		return $this->pergunta_ativo;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getPergunta_ordem() {

		return $this->pergunta_ordem;

	}

	/**
	 *
	 * @param mixed $pergunta_ativo
	 */
	public function setPergunta_ativo($pergunta_ativo) {

		$this->pergunta_ativo = $pergunta_ativo;

	}

	/**
	 *
	 * @param mixed $pergunta_ordem
	 */
	public function setPergunta_ordem($pergunta_ordem) {

		$this->pergunta_ordem = $pergunta_ordem;

	}

}